﻿using ServiceWebServerWiseJDemo.Service;
using System;
using System.ServiceProcess;
using Wisej.Web;

namespace ServiceWebServerWiseJDemo.UI
{
    internal static class Program
    {
        private static System.Timers.Timer timer;

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        private static void Main()
        {
            WinService service = new WinService();
            if (Environment.UserInteractive)
            {
                service.Start(Environment.GetCommandLineArgs());
                Console.ReadLine();
                service.StopService();
            }
            else
            {
                ServiceBase.Run(service);
            }
        }

        /// <summary>
        /// The main entry point for the WiseJ application.
        /// </summary>
        private static void UIMain()
        {
            if (timer == null)
            {
                lock (typeof(Program))
                {
                    if (timer == null)
                    {
                        timer = new System.Timers.Timer(1000);
                        timer.Elapsed += Timer_Tick;
                        timer.Start();
                    }
                }
            }

            Application.Desktop = new MyDesktop();

            Window1 window = new Window1();
            window.Show();

            new Window2().Show();
        }

        private static void Timer_Tick(object sender, EventArgs e)
        {
            Logger.Log("Timer tick");
        }

        //
        // You can use the entry method below
        // to receive the parameters from the URL in the args collection.
        //
        //static void Main(NameValueCollection args)
        //{
        //}
    }
}